Package org.eclipse.net4j.util.collection

# Class ArrayIterator<T>

java.lang.Object
org.eclipse.net4j.util.collection.ArrayIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

public class ArrayIterator<T> extends Object implements Iterator<T>
An object that iterates over the elements of an array

Since:
  3.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ArrayIterator(T[] elements)`
`ArrayIterator(T[] elements, int firstElement)`
`ArrayIterator(T[] elements, int firstElement, int lastElement)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`T`
`next()`
`void`
`remove()`
Unsupported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ArrayIterator

public ArrayIterator(T[] elements)

### ArrayIterator

public ArrayIterator(T[] elements, int firstElement)

### ArrayIterator

public ArrayIterator(T[] elements, int firstElement, int lastElement)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### next

public T next() throws NoSuchElementException

Specified by:
  `next` in interface `Iterator<T>`
Throws:
  `NoSuchElementException`

### remove

public void remove()
Unsupported.

Specified by:
  `remove` in interface `Iterator<T>`
Throws:
  `UnsupportedOperationException` - always